XmlUnsignedByte (xmlbeans API)

org.apache.xmlbeans

## Interface XmlUnsignedByte

- All Superinterfaces:
    XmlAnySimpleType, XmlDecimal, XmlInteger, XmlNonNegativeInteger, XmlObject, XmlTokenSource, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort
  All Known Implementing Classes:
    XmlUnsignedByteImpl

      public interface XmlUnsignedByte
      extends XmlUnsignedShort

  Corresponds to the XML Schema xs:unsignedByte type. One of the derived types based on xs:decimal.

  Verified to be in the range 0..255 when validating.

  As suggested by JAXB, convertible to Java short.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlUnsignedByte>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getShortValue()` Returns this value as a short
    `void` | `setShortValue(short s)` Sets this value as a short

    - ### Methods inherited from interface org.apache.xmlbeans.XmlUnsignedShort

      `getIntValue, setIntValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlUnsignedInt

      `getLongValue, setLongValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlInteger

      `getBigIntegerValue, setBigIntegerValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

      `getBigDecimalValue, setBigDecimalValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlUnsignedByte> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getShortValue

          short getShortValue()

      Returns this value as a short

    - #### setShortValue

          void setShortValue(short s)

      Sets this value as a short